Update form
Update an existing form
AuthorizationBearer <token>
Bearer token authentication. Use your API key as the bearer token.
In: header
Path Parameters
formIdstring
Form ID
Form update input
content?FormContent
description?string
title?string
Response Body
curl -X PUT "https://eu1.api.bivariant.com/v1/forms/string" \ -H "Content-Type: application/json" \ -d '{}'{
"blueprintId": "string",
"content": {
"items": [
{
"content": "string",
"id": "string",
"input": {
"description": "string",
"key": "string",
"kind": "text",
"params": {
"address": {
"precision": "street"
},
"choice": {
"allowOther": true,
"maxCount": 0,
"minCount": 0,
"multiple": true,
"options": [
{
"label": "string",
"value": "string"
}
],
"otherLabel": "string"
},
"date": {
"maxDate": "string",
"minDate": "string"
},
"dateTime": {
"maxDateTime": "string",
"minDateTime": "string"
},
"email": {
"domainBlacklist": [
"string"
],
"domainWhitelist": [
"string"
]
},
"file": {
"allowMultiple": true,
"allowedTypes": [
"string"
],
"maxItems": 0,
"maxSize": 0,
"minSize": 0
},
"nps": {
"maxLabel": "string",
"minLabel": "string"
},
"number": {
"maxValue": 0,
"minValue": 0,
"precision": 0,
"step": 0
},
"phone": {
"allowCountries": [
"string"
],
"denyCountries": [
"string"
]
},
"range": {
"maxValue": 0,
"minValue": 0,
"step": 0
},
"rating": {
"maxLabel": "string",
"maxRating": 0,
"minLabel": "string",
"minRating": 0,
"symbol": "star"
},
"secret": {},
"text": {
"long": true,
"maxLength": 0,
"maxWords": 0,
"minLength": 0,
"minWords": 0
},
"time": {
"maxTime": "string",
"minTime": "string"
},
"url": {
"allowProtocols": [
"string"
],
"denyProtocols": [
"string"
]
},
"yesNo": {
"noLabel": "string",
"yesLabel": "string"
}
},
"required": true,
"title": "string"
},
"kind": "input",
"sectionId": "string"
}
],
"sections": [
{
"description": "string",
"id": "string",
"title": "string"
}
]
},
"createdAt": "string",
"createdById": "string",
"description": "string",
"id": "string",
"organizationId": "string",
"title": "string",
"uid": "string",
"updatedAt": "string",
"updatedById": "string",
"versionParentId": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}{
"code": "string",
"message": "string"
}